## hb-deprecated

hb-deprecated

## Functions

void | hb_font_funcs_set_glyph_func ()
hb_bool_t | ( *hb_font_get_glyph_func_t ) ()

## Types and Values

#define | HB_BUFFER_FLAGS_DEFAULT
#define | HB_BUFFER_SERIALIZE_FLAGS_DEFAULT
#define | HB_SCRIPT_CANADIAN_ABORIGINAL

## Description

## Functions

### hb_font_funcs_set_glyph_func ()

    void
    hb_font_funcs_set_glyph_func (hb_font_funcs_t *ffuncs,
                                  hb_font_get_glyph_func_t func,
                                  void *user_data,
                                  hb_destroy_func_t destroy);

`hb_font_funcs_set_glyph_func` has been deprecated since version 1.2.3 and should not be used in newly-written code.

Deprecated. Use `hb_font_funcs_set_nominal_glyph_func()` and `hb_font_funcs_set_variation_glyph_func()` instead.

#### Parameters

ffuncs | font functions. |
func | . | [closure user_data][destroy destroy][scope notified]

Since: 0.9.2

### hb_font_get_glyph_func_t ()

    hb_bool_t
    (*hb_font_get_glyph_func_t) (hb_font_t *font,
                                 void *font_data,
                                 hb_codepoint_t unicode,
                                 hb_codepoint_t variation_selector,
                                 hb_codepoint_t *glyph,
                                 void *user_data);

`hb_font_get_glyph_func_t` is deprecated and should not be used in newly-written code.

## Types and Values

### HB_BUFFER_FLAGS_DEFAULT

    #define HB_BUFFER_FLAGS_DEFAULT			HB_BUFFER_FLAG_DEFAULT

`HB_BUFFER_FLAGS_DEFAULT` is deprecated and should not be used in newly-written code.

### HB_BUFFER_SERIALIZE_FLAGS_DEFAULT

    #define HB_BUFFER_SERIALIZE_FLAGS_DEFAULT HB_BUFFER_SERIALIZE_FLAG_DEFAULT

`HB_BUFFER_SERIALIZE_FLAGS_DEFAULT` is deprecated and should not be used in newly-written code.

### HB_SCRIPT_CANADIAN_ABORIGINAL

    #define HB_SCRIPT_CANADIAN_ABORIGINAL		HB_SCRIPT_CANADIAN_SYLLABICS

`HB_SCRIPT_CANADIAN_ABORIGINAL` is deprecated and should not be used in newly-written code.